uima-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Christian Mauceri <mauc...@hermeneute.com>
Subject Re: CPE problem using eclipse 3.3
Date Wed, 29 Aug 2007 13:58:08 GMT
Hi Adam,

it's exactly the case, many thanks. Btw does the Apache version come 
with  Eclipse plugins as it was the case with the IBM one : I have 
always been reluctant to change of version because I didn't want to 
build the corresponding Eclipse plugins.
Anyway thanks again.


Adam Lally wrote:
> On 8/29/07, Christian Mauceri <mauceri@hermeneute.com> wrote:
>   
>> Hi,
>>
>> when I try to launch the following CPE in eclipse 3.3
>>
>> <snip/>
>>
>> I get the following exception
>>
>> com.ibm.uima.util.InvalidXMLException: Invalid descriptor at file:/C:/Documents and
Settings/Administrator/Desktop/These/RuntimeWorkspace3.2/Aziyadé/.Hermeneute/Travail/VocabularyCPE.cpe.
>>         at com.ibm.uima.reference_impl.util.XMLParser_impl.parse(XMLParser_impl.java:189)
>>         at com.ibm.uima.reference_impl.util.XMLParser_impl.parse(XMLParser_impl.java:113)
>>         at com.ibm.uima.reference_impl.util.XMLParser_impl.parse(XMLParser_impl.java:212)
>>         at com.ibm.uima.reference_impl.util.XMLParser_impl.parse(XMLParser_impl.java:230)
>>         at com.ibm.uima.reference_impl.util.XMLParser_impl.parseCpeDescription(XMLParser_impl.java:748)
>>         at com.hermeneute.uima.actions.CPEAction.initCPE(CPEAction.java:146)
>>         at com.hermeneute.uima.actions.CPEAction$1.run(CPEAction.java:96)
>>         at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
>> Caused by: com.ibm.uima.UIMARuntimeException
>>         at com.ibm.uima.reference_impl.util.XIncluder.getXIncludeTemplates(XIncluder.java:144)
>>         at com.ibm.uima.reference_impl.util.XIncluder.newXIncludeHandler(XIncluder.java:90)
>>         at com.ibm.uima.reference_impl.util.XIncluder.newXIncludeHandler(XIncluder.java:58)
>>         at com.ibm.uima.reference_impl.util.SaxDeserializer_impl.<init>(SaxDeserializer_impl.java:87)
>>         at com.ibm.uima.reference_impl.util.XMLParser_impl.parse(XMLParser_impl.java:173)
>>         ... 7 more
>> Caused by: javax.xml.transform.TransformerException: The first argument to the non-static
Java function 'evaluate' is not a valid object reference.
>>         at com.sun.org.apache.xalan.internal.xsltc.trax.TemplatesHandlerImpl.endDocument(Unknown
Source)
>>         at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.endDocument(Unknown
Source)
>>         at com.sun.org.apache.xerces.internal.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown
Source)
>>         at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown
Source)
>>         at com.sun.org.apache.xerces.internal.parsers.XML11Configuration.parse(Unknown
Source)
>>         at com.sun.org.apache.xerces.internal.parsers.XMLParser.parse(Unknown Source)
>>         at com.sun.org.apache.xerces.internal.parsers.AbstractSAXParser.parse(Unknown
Source)
>>         at com.sun.org.apache.xerces.internal.jaxp.SAXParserImpl$JAXPSAXParser.parse(Unknown
Source)
>>         at com.ibm.uima.reference_impl.util.XIncluder.getXIncludeTemplates(XIncluder.java:132)
>>         ... 11 more
>>
>> It works perfectly well in 3.2...
>> Any idea?
>>
>>     
>
> Which version of UIMA and Java are you using?
>
> I can tell from the package names (com.ibm) that it must be UIMA
> version 2.0 or before.  These versions do not work on Java 6, so if
> that is what Java you are running this is a known issue.  The latest
> Apache UIMA version should work.
>
> Maybe in Eclipse 3.2 you are running with a different Java version?
>
> -Adam
>
>
>   

-- 
Cordialement/Regards
Christian Mauceri
http://hermeneute.com/Christian


Mime
View raw message